Get all service business unit profile value details

get

/api/boss/data/objects/ora/cxServiceCore/common/v1/serviceBusinessUnits/$views/businessUnitProfileValues

The service business units resource is used to view, create, and update business unit profile values for service.

Request

Query Parameters
  • Effective date value in the ISO 8601 date format 'YYYY-MM-DD'. This date is required by business logic to search for effective-dated business objects.
  • Restricts the resource fields. Only the specified fields and mandatory system fields are returned.
  • The resource collection will be queried using the specified filter condition.
  • Specifies whether the server should estimate the total number of records for a given query and include the count in the response.
  • Restricts the number of resource items returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resource items.
    Default Value: 25
  • Defines the starting position of the resource collection. If offset exceeds the resource count then no resource items are returned.
    Default Value: 0
  • Orders a resource collection based on the specified fields. The parameter value is a comma-separated string of field names, each optionally followed by a colon and "asc" (default) or "desc".

There's no request body for this operation.

Back to Top

Response

Default Response

Successful response of retrieving view businessUnitProfileValues for resource Service Business Units
Body ()
Root Schema : serviceBusinessUnits_view-businessUnitProfileValues
Match All
The service business units resource is used to view, create, and update business unit profile values for service.
Show Source
Nested Schema : __collection_context
Type: object
Show Source
Nested Schema : serviceBusinessUnits_view-businessUnitProfileValues-allOf[1]
Type: object
The service business units resource is used to view, create, and update business unit profile values for service.
Show Source
Nested Schema : totalItems
Type: object
Show Source
Nested Schema : items
Type: array
Show Source
Nested Schema : items
Match All
Show Source
Nested Schema : items-allOf[0]
Match All
Show Source
Nested Schema : __busObj_context
Type: object
Show Source
Nested Schema : items-allOf[0]-allOf[1]
Type: object
Show Source
Nested Schema : items-allOf[1]
Type: object
Nested Schema : $context
Type: object
Show Source
Nested Schema : businessUnit
Match All
Show Source
Nested Schema : profileOptionName
Match All
Name of the service business unit profile option.
Show Source
  • Title: Profile Option Name
    Name of the service business unit profile option.
  • Allowed Values: [ "ORA_SVC_SR_RESPONSE_TEMPLATE_NAME_ISR", "ORA_SVC_SR_SYSTEM_RESPONSE_TEMPLATE_NAME_ISR", "SVC_HCM_PROD_CATALOG_USAGE", "SVC_ISR_PROD_CATALOG_USAGE", "SVC_OUTBOUND_EMAIL_FROM", "SVC_PROD_CATALOG_USAGE", "SVC_SR_FORWARD_TEMPLATE_NAME", "SVC_SR_RESPONSE_TEMPLATE_NAME", "SVC_SR_RESPONSE_TEMPLATE_NAME_HRD", "SVC_SR_SYSTEM_RESPONSE_TEMPLATE_NAME", "SVC_SR_SYSTEM_RESPONSE_TEMPLATE_NAME_HRD", "SVC_SR_FORWARD_TEMPLATE_NAME_HRD" ]
Nested Schema : businessUnit-allOf[1]
Type: object
Show Source
Back to Top